Skip to content

Postpaid charges​

GET
/billing/usage

Charges, one per paid part of an order, newest first, with cursor pages. Requires billing.read.

Authorizations​

ApiKeyAuth

API key from the dashboard. Some Host Mode endpoints also accept the key as an api_key field in the request body — this is stated in the schema of the particular operation.

Type
API Key (header: X-API-KEY)

Parameters​

Header Parameters

X-Real-IP*

An IP address from the key's whitelist. A request from an address outside the whitelist is rejected with 401.

Type
string
Required
Example"203.0.113.10"
Format
"ipv4"

Query Parameters

from

Charges from this moment, ISO 8601 with a time zone.

Type
string
Format
"date-time"
to

Charges before this moment, ISO 8601 with a time zone.

Type
string
Format
"date-time"
limit

Lines per page.

Type
integer
Minimum
1
Maximum
500
Default
100
cursor

nextCursor from the previous page.

Type
integer

Responses​

A page of charges.

application/json
JSON
{
  
"success": true,
  
"data": {
  
  
"items": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"orderId": "string",
  
  
  
  
"productCode": "string",
  
  
  
  
"address": "string",
  
  
  
  
"quantity": 0,
  
  
  
  
"unitPriceSun": "string",
  
  
  
  
"discount": {
  
  
  
  
  
"type": "string",
  
  
  
  
  
"value": "string"
  
  
  
  
},
  
  
  
  
"amountTrx": "string",
  
  
  
  
"amountUsdc": "string",
  
  
  
  
"usdPerTrx": "string",
  
  
  
  
"quoteId": "string",
  
  
  
  
"txHash": "string",
  
  
  
  
"fulfilledAt": "string",
  
  
  
  
"status": "string",
  
  
  
  
"paidTrx": "string",
  
  
  
  
"paidUsdc": "string",
  
  
  
  
"invoiceId": 0,
  
  
  
  
"reversesId": 0
  
  
  
}
  
  
],
  
  
"nextCursor": 0
  
},
  
"timestamp": "string"
}

Playground​

Authorization
Headers
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI